org.apache.tamaya.resource.internal

## Class DefaultResourceResolver

- java.lang.Object
- - org.apache.tamaya.resource.BaseResourceResolver
  - - org.apache.tamaya.resource.internal.DefaultResourceResolver

- All Implemented Interfaces:
    ResourceResolver

      @Priority(value=0)
      public class DefaultResourceResolver
      extends BaseResourceResolver

  Simple default implementation of the resource loader, which does only support direct references to files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultResourceResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<URL>` | `getResources(ClassLoader classLoader, Collection<String> expressions)` Resolves resource expressions to a list of `URL`s, considerubg the given classloader for classloader dependent format.

    - ### Methods inherited from class org.apache.tamaya.resource.BaseResourceResolver

      `getResources, getResources, getResources`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultResourceResolver

          public DefaultResourceResolver()

  - ### Method Detail

    - #### getResources

          public List<URL> getResources(ClassLoader classLoader,
                                        Collection<String> expressions)

      Description copied from class: `BaseResourceResolver`
      Resolves resource expressions to a list of `URL`s, considerubg the given classloader for classloader dependent format. Hereby the ordering of format matches the input of the resolved expressions. Nevertheless be aware that there is no determined ordering of format located within a classloader.
      Specified by:
        `getResources` in interface `ResourceResolver`
      Specified by:
        `getResources` in class `BaseResourceResolver`
        `expressions` - the expressions to be resolved, not empty.
      Returns:
        the corresponding collection of current `URL`s found, never null. .

Copyright © 2014–2015 Apache Software Foundation. All rights reserved.